/* updater.c generated by valac 0.28.0, the Vala compiler
 * generated from updater.vala, do not modify */

/*
 Copyright (C) 2014 Paweł Forysiuk <tuxator@o2.pl>
 Copyright (C) 2014 Christian Dywan <christian@twotoasts.de>

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 See the file COPYING for the full license text.
*/

#include <glib.h>
#include <glib-object.h>
#include <stdlib.h>
#include <string.h>
#include <gio/gio.h>


#define ADBLOCK_TYPE_FEATURE (adblock_feature_get_type ())
#define ADBLOCK_FEATURE(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), ADBLOCK_TYPE_FEATURE, AdblockFeature))
#define ADBLOCK_FEATURE_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), ADBLOCK_TYPE_FEATURE, AdblockFeatureClass))
#define ADBLOCK_IS_FEATURE(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), ADBLOCK_TYPE_FEATURE))
#define ADBLOCK_IS_FEATURE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), ADBLOCK_TYPE_FEATURE))
#define ADBLOCK_FEATURE_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), ADBLOCK_TYPE_FEATURE, AdblockFeatureClass))

typedef struct _AdblockFeature AdblockFeature;
typedef struct _AdblockFeatureClass AdblockFeatureClass;
typedef struct _AdblockFeaturePrivate AdblockFeaturePrivate;

#define ADBLOCK_TYPE_DIRECTIVE (adblock_directive_get_type ())

#define ADBLOCK_TYPE_UPDATER (adblock_updater_get_type ())
#define ADBLOCK_UPDATER(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), ADBLOCK_TYPE_UPDATER, AdblockUpdater))
#define ADBLOCK_UPDATER_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), ADBLOCK_TYPE_UPDATER, AdblockUpdaterClass))
#define ADBLOCK_IS_UPDATER(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), ADBLOCK_TYPE_UPDATER))
#define ADBLOCK_IS_UPDATER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), ADBLOCK_TYPE_UPDATER))
#define ADBLOCK_UPDATER_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), ADBLOCK_TYPE_UPDATER, AdblockUpdaterClass))

typedef struct _AdblockUpdater AdblockUpdater;
typedef struct _AdblockUpdaterClass AdblockUpdaterClass;
typedef struct _AdblockUpdaterPrivate AdblockUpdaterPrivate;
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_date_time_unref0(var) ((var == NULL) ? NULL : (var = (g_date_time_unref (var), NULL)))

typedef enum  {
	ADBLOCK_DIRECTIVE_ALLOW,
	ADBLOCK_DIRECTIVE_BLOCK
} AdblockDirective;

struct _AdblockFeature {
	GObject parent_instance;
	AdblockFeaturePrivate * priv;
};

struct _AdblockFeatureClass {
	GObjectClass parent_class;
	gboolean (*header) (AdblockFeature* self, const gchar* key, const gchar* value);
	gboolean (*parsed) (AdblockFeature* self, GFile* file);
	AdblockDirective* (*match) (AdblockFeature* self, const gchar* request_uri, const gchar* page_uri, GError** error);
	void (*clear) (AdblockFeature* self);
};

struct _AdblockUpdater {
	AdblockFeature parent_instance;
	AdblockUpdaterPrivate * priv;
};

struct _AdblockUpdaterClass {
	AdblockFeatureClass parent_class;
};

struct _AdblockUpdaterPrivate {
	gchar* expires_meta;
	gchar* last_mod_meta;
	GDateTime* _last_updated;
	GDateTime* _expires;
	gboolean _needs_update;
};


static gpointer adblock_updater_parent_class = NULL;

GType adblock_feature_get_type (void) G_GNUC_CONST;
GType adblock_directive_get_type (void) G_GNUC_CONST;
GType adblock_updater_get_type (void) G_GNUC_CONST;
#define ADBLOCK_UPDATER_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), ADBLOCK_TYPE_UPDATER, AdblockUpdaterPrivate))
enum  {
	ADBLOCK_UPDATER_DUMMY_PROPERTY,
	ADBLOCK_UPDATER_LAST_UPDATED,
	ADBLOCK_UPDATER_EXPIRES,
	ADBLOCK_UPDATER_NEEDS_UPDATE
};
AdblockUpdater* adblock_updater_new (void);
AdblockUpdater* adblock_updater_construct (GType object_type);
AdblockFeature* adblock_feature_construct (GType object_type);
static void adblock_updater_real_clear (AdblockFeature* base);
void adblock_updater_set_last_updated (AdblockUpdater* self, GDateTime* value);
void adblock_updater_set_expires (AdblockUpdater* self, GDateTime* value);
void adblock_updater_set_needs_update (AdblockUpdater* self, gboolean value);
static gboolean adblock_updater_real_header (AdblockFeature* base, const gchar* key, const gchar* value);
static gboolean adblock_updater_real_parsed (AdblockFeature* base, GFile* file);
static void adblock_updater_process_dates (AdblockUpdater* self, GFile* file);
static gint adblock_updater_get_month_from_string (AdblockUpdater* self, const gchar* month);
GDateTime* adblock_updater_get_last_updated (AdblockUpdater* self);
GDateTime* adblock_updater_get_expires (AdblockUpdater* self);
gboolean adblock_updater_get_needs_update (AdblockUpdater* self);
static void adblock_updater_finalize (GObject* obj);
static void _vala_adblock_updater_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec);
static void _vala_adblock_updater_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec);
static void _vala_array_destroy (gpointer array, gint array_length, GDestroyNotify destroy_func);
static void _vala_array_free (gpointer array, gint array_length, GDestroyNotify destroy_func);
static gint _vala_array_length (gpointer array);


AdblockUpdater* adblock_updater_construct (GType object_type) {
	AdblockUpdater * self = NULL;
#line 21 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	self = (AdblockUpdater*) adblock_feature_construct (object_type);
#line 21 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	return self;
#line 126 "updater.c"
}


AdblockUpdater* adblock_updater_new (void) {
#line 21 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	return adblock_updater_construct (ADBLOCK_TYPE_UPDATER);
#line 133 "updater.c"
}


static void adblock_updater_real_clear (AdblockFeature* base) {
	AdblockUpdater * self;
#line 24 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	self = (AdblockUpdater*) base;
#line 25 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	_g_free0 (self->priv->expires_meta);
#line 25 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	self->priv->expires_meta = NULL;
#line 26 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	_g_free0 (self->priv->last_mod_meta);
#line 26 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	self->priv->last_mod_meta = NULL;
#line 27 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	adblock_updater_set_last_updated (self, NULL);
#line 28 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	adblock_updater_set_expires (self, NULL);
#line 29 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	adblock_updater_set_needs_update (self, FALSE);
#line 155 "updater.c"
}


static glong string_strnlen (gchar* str, glong maxlen) {
	glong result = 0L;
	gchar* end = NULL;
	gchar* _tmp0_ = NULL;
	glong _tmp1_ = 0L;
	gchar* _tmp2_ = NULL;
	gchar* _tmp3_ = NULL;
#line 1197 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/sysroots/qemux86/usr/share/vala-0.28/vapi/glib-2.0.vapi"
	_tmp0_ = str;
#line 1197 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/sysroots/qemux86/usr/share/vala-0.28/vapi/glib-2.0.vapi"
	_tmp1_ = maxlen;
#line 1197 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/sysroots/qemux86/usr/share/vala-0.28/vapi/glib-2.0.vapi"
	_tmp2_ = memchr (_tmp0_, 0, (gsize) _tmp1_);
#line 1197 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/sysroots/qemux86/usr/share/vala-0.28/vapi/glib-2.0.vapi"
	end = _tmp2_;
#line 1198 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/sysroots/qemux86/usr/share/vala-0.28/vapi/glib-2.0.vapi"
	_tmp3_ = end;
#line 1198 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/sysroots/qemux86/usr/share/vala-0.28/vapi/glib-2.0.vapi"
	if (_tmp3_ == NULL) {
#line 178 "updater.c"
		glong _tmp4_ = 0L;
#line 1199 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/sysroots/qemux86/usr/share/vala-0.28/vapi/glib-2.0.vapi"
		_tmp4_ = maxlen;
#line 1199 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/sysroots/qemux86/usr/share/vala-0.28/vapi/glib-2.0.vapi"
		result = _tmp4_;
#line 1199 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/sysroots/qemux86/usr/share/vala-0.28/vapi/glib-2.0.vapi"
		return result;
#line 186 "updater.c"
	} else {
		gchar* _tmp5_ = NULL;
		gchar* _tmp6_ = NULL;
#line 1201 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/sysroots/qemux86/usr/share/vala-0.28/vapi/glib-2.0.vapi"
		_tmp5_ = end;
#line 1201 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/sysroots/qemux86/usr/share/vala-0.28/vapi/glib-2.0.vapi"
		_tmp6_ = str;
#line 1201 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/sysroots/qemux86/usr/share/vala-0.28/vapi/glib-2.0.vapi"
		result = (glong) (_tmp5_ - _tmp6_);
#line 1201 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/sysroots/qemux86/usr/share/vala-0.28/vapi/glib-2.0.vapi"
		return result;
#line 198 "updater.c"
	}
}


static gchar* string_substring (const gchar* self, glong offset, glong len) {
	gchar* result = NULL;
	glong string_length = 0L;
	gboolean _tmp0_ = FALSE;
	glong _tmp1_ = 0L;
	glong _tmp8_ = 0L;
	glong _tmp14_ = 0L;
	glong _tmp17_ = 0L;
	glong _tmp18_ = 0L;
	glong _tmp19_ = 0L;
	glong _tmp20_ = 0L;
	glong _tmp21_ = 0L;
	gchar* _tmp22_ = NULL;
#line 1208 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/sysroots/qemux86/usr/share/vala-0.28/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1210 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/sysroots/qemux86/usr/share/vala-0.28/vapi/glib-2.0.vapi"
	_tmp1_ = offset;
#line 1210 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/sysroots/qemux86/usr/share/vala-0.28/vapi/glib-2.0.vapi"
	if (_tmp1_ >= ((glong) 0)) {
#line 222 "updater.c"
		glong _tmp2_ = 0L;
#line 1210 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/sysroots/qemux86/usr/share/vala-0.28/vapi/glib-2.0.vapi"
		_tmp2_ = len;
#line 1210 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/sysroots/qemux86/usr/share/vala-0.28/vapi/glib-2.0.vapi"
		_tmp0_ = _tmp2_ >= ((glong) 0);
#line 228 "updater.c"
	} else {
#line 1210 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/sysroots/qemux86/usr/share/vala-0.28/vapi/glib-2.0.vapi"
		_tmp0_ = FALSE;
#line 232 "updater.c"
	}
#line 1210 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/sysroots/qemux86/usr/share/vala-0.28/vapi/glib-2.0.vapi"
	if (_tmp0_) {
#line 236 "updater.c"
		glong _tmp3_ = 0L;
		glong _tmp4_ = 0L;
		glong _tmp5_ = 0L;
#line 1212 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/sysroots/qemux86/usr/share/vala-0.28/vapi/glib-2.0.vapi"
		_tmp3_ = offset;
#line 1212 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/sysroots/qemux86/usr/share/vala-0.28/vapi/glib-2.0.vapi"
		_tmp4_ = len;
#line 1212 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/sysroots/qemux86/usr/share/vala-0.28/vapi/glib-2.0.vapi"
		_tmp5_ = string_strnlen ((gchar*) self, _tmp3_ + _tmp4_);
#line 1212 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/sysroots/qemux86/usr/share/vala-0.28/vapi/glib-2.0.vapi"
		string_length = _tmp5_;
#line 248 "updater.c"
	} else {
		gint _tmp6_ = 0;
		gint _tmp7_ = 0;
#line 1214 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/sysroots/qemux86/usr/share/vala-0.28/vapi/glib-2.0.vapi"
		_tmp6_ = strlen (self);
#line 1214 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/sysroots/qemux86/usr/share/vala-0.28/vapi/glib-2.0.vapi"
		_tmp7_ = _tmp6_;
#line 1214 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/sysroots/qemux86/usr/share/vala-0.28/vapi/glib-2.0.vapi"
		string_length = (glong) _tmp7_;
#line 258 "updater.c"
	}
#line 1217 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/sysroots/qemux86/usr/share/vala-0.28/vapi/glib-2.0.vapi"
	_tmp8_ = offset;
#line 1217 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/sysroots/qemux86/usr/share/vala-0.28/vapi/glib-2.0.vapi"
	if (_tmp8_ < ((glong) 0)) {
#line 264 "updater.c"
		glong _tmp9_ = 0L;
		glong _tmp10_ = 0L;
		glong _tmp11_ = 0L;
#line 1218 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/sysroots/qemux86/usr/share/vala-0.28/vapi/glib-2.0.vapi"
		_tmp9_ = string_length;
#line 1218 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/sysroots/qemux86/usr/share/vala-0.28/vapi/glib-2.0.vapi"
		_tmp10_ = offset;
#line 1218 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/sysroots/qemux86/usr/share/vala-0.28/vapi/glib-2.0.vapi"
		offset = _tmp9_ + _tmp10_;
#line 1219 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/sysroots/qemux86/usr/share/vala-0.28/vapi/glib-2.0.vapi"
		_tmp11_ = offset;
#line 1219 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/sysroots/qemux86/usr/share/vala-0.28/vapi/glib-2.0.vapi"
		g_return_val_if_fail (_tmp11_ >= ((glong) 0), NULL);
#line 278 "updater.c"
	} else {
		glong _tmp12_ = 0L;
		glong _tmp13_ = 0L;
#line 1221 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/sysroots/qemux86/usr/share/vala-0.28/vapi/glib-2.0.vapi"
		_tmp12_ = offset;
#line 1221 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/sysroots/qemux86/usr/share/vala-0.28/vapi/glib-2.0.vapi"
		_tmp13_ = string_length;
#line 1221 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/sysroots/qemux86/usr/share/vala-0.28/vapi/glib-2.0.vapi"
		g_return_val_if_fail (_tmp12_ <= _tmp13_, NULL);
#line 288 "updater.c"
	}
#line 1223 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/sysroots/qemux86/usr/share/vala-0.28/vapi/glib-2.0.vapi"
	_tmp14_ = len;
#line 1223 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/sysroots/qemux86/usr/share/vala-0.28/vapi/glib-2.0.vapi"
	if (_tmp14_ < ((glong) 0)) {
#line 294 "updater.c"
		glong _tmp15_ = 0L;
		glong _tmp16_ = 0L;
#line 1224 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/sysroots/qemux86/usr/share/vala-0.28/vapi/glib-2.0.vapi"
		_tmp15_ = string_length;
#line 1224 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/sysroots/qemux86/usr/share/vala-0.28/vapi/glib-2.0.vapi"
		_tmp16_ = offset;
#line 1224 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/sysroots/qemux86/usr/share/vala-0.28/vapi/glib-2.0.vapi"
		len = _tmp15_ - _tmp16_;
#line 303 "updater.c"
	}
#line 1226 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/sysroots/qemux86/usr/share/vala-0.28/vapi/glib-2.0.vapi"
	_tmp17_ = offset;
#line 1226 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/sysroots/qemux86/usr/share/vala-0.28/vapi/glib-2.0.vapi"
	_tmp18_ = len;
#line 1226 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/sysroots/qemux86/usr/share/vala-0.28/vapi/glib-2.0.vapi"
	_tmp19_ = string_length;
#line 1226 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/sysroots/qemux86/usr/share/vala-0.28/vapi/glib-2.0.vapi"
	g_return_val_if_fail ((_tmp17_ + _tmp18_) <= _tmp19_, NULL);
#line 1227 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/sysroots/qemux86/usr/share/vala-0.28/vapi/glib-2.0.vapi"
	_tmp20_ = offset;
#line 1227 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/sysroots/qemux86/usr/share/vala-0.28/vapi/glib-2.0.vapi"
	_tmp21_ = len;
#line 1227 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/sysroots/qemux86/usr/share/vala-0.28/vapi/glib-2.0.vapi"
	_tmp22_ = g_strndup (((gchar*) self) + _tmp20_, (gsize) _tmp21_);
#line 1227 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/sysroots/qemux86/usr/share/vala-0.28/vapi/glib-2.0.vapi"
	result = _tmp22_;
#line 1227 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/sysroots/qemux86/usr/share/vala-0.28/vapi/glib-2.0.vapi"
	return result;
#line 323 "updater.c"
}


static gboolean adblock_updater_real_header (AdblockFeature* base, const gchar* key, const gchar* value) {
	AdblockUpdater * self;
	gboolean result = FALSE;
	gboolean _tmp0_ = FALSE;
	const gchar* _tmp1_ = NULL;
	gboolean _tmp2_ = FALSE;
#line 32 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	self = (AdblockUpdater*) base;
#line 32 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	g_return_val_if_fail (key != NULL, FALSE);
#line 32 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	g_return_val_if_fail (value != NULL, FALSE);
#line 33 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	_tmp1_ = key;
#line 33 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	_tmp2_ = g_str_has_prefix (_tmp1_, "Last mod");
#line 33 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	if (_tmp2_) {
#line 33 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
		_tmp0_ = TRUE;
#line 347 "updater.c"
	} else {
		const gchar* _tmp3_ = NULL;
#line 33 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
		_tmp3_ = key;
#line 33 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
		_tmp0_ = g_strcmp0 (_tmp3_, "Updated") == 0;
#line 354 "updater.c"
	}
#line 33 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	if (_tmp0_) {
#line 358 "updater.c"
		const gchar* _tmp4_ = NULL;
		gchar* _tmp5_ = NULL;
#line 34 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
		_tmp4_ = value;
#line 34 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
		_tmp5_ = g_strdup (_tmp4_);
#line 34 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
		_g_free0 (self->priv->last_mod_meta);
#line 34 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
		self->priv->last_mod_meta = _tmp5_;
#line 35 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
		result = TRUE;
#line 35 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
		return result;
#line 373 "updater.c"
	} else {
		const gchar* _tmp6_ = NULL;
#line 36 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
		_tmp6_ = key;
#line 36 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
		if (g_strcmp0 (_tmp6_, "Expires") == 0) {
#line 380 "updater.c"
			const gchar* _tmp7_ = NULL;
			gchar* _tmp8_ = NULL;
#line 38 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
			_tmp7_ = value;
#line 38 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
			_tmp8_ = g_strdup (_tmp7_);
#line 38 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
			_g_free0 (self->priv->expires_meta);
#line 38 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
			self->priv->expires_meta = _tmp8_;
#line 39 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
			result = TRUE;
#line 39 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
			return result;
#line 395 "updater.c"
		} else {
			const gchar* _tmp9_ = NULL;
			gboolean _tmp10_ = FALSE;
#line 40 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
			_tmp9_ = key;
#line 40 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
			_tmp10_ = g_str_has_prefix (_tmp9_, "! This list expires after");
#line 40 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
			if (_tmp10_) {
#line 405 "updater.c"
				const gchar* _tmp11_ = NULL;
				gchar* _tmp12_ = NULL;
#line 42 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				_tmp11_ = key;
#line 42 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				_tmp12_ = string_substring (_tmp11_, (glong) 26, (glong) (-1));
#line 42 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				_g_free0 (self->priv->expires_meta);
#line 42 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				self->priv->expires_meta = _tmp12_;
#line 43 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				result = TRUE;
#line 43 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				return result;
#line 420 "updater.c"
			}
		}
	}
#line 45 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	result = FALSE;
#line 45 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	return result;
#line 428 "updater.c"
}


static gboolean adblock_updater_real_parsed (AdblockFeature* base, GFile* file) {
	AdblockUpdater * self;
	gboolean result = FALSE;
	GFile* _tmp0_ = NULL;
#line 48 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	self = (AdblockUpdater*) base;
#line 48 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	g_return_val_if_fail (file != NULL, FALSE);
#line 49 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	_tmp0_ = file;
#line 49 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	adblock_updater_process_dates (self, _tmp0_);
#line 51 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	result = TRUE;
#line 51 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	return result;
#line 448 "updater.c"
}


static gint adblock_updater_get_month_from_string (AdblockUpdater* self, const gchar* month) {
	gint result = 0;
	const gchar* _tmp0_ = NULL;
	gchar** months = NULL;
	gchar* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
	gchar* _tmp3_ = NULL;
	gchar* _tmp4_ = NULL;
	gchar* _tmp5_ = NULL;
	gchar* _tmp6_ = NULL;
	gchar* _tmp7_ = NULL;
	gchar* _tmp8_ = NULL;
	gchar* _tmp9_ = NULL;
	gchar* _tmp10_ = NULL;
	gchar* _tmp11_ = NULL;
	gchar* _tmp12_ = NULL;
	gchar** _tmp13_ = NULL;
	gint months_length1 = 0;
	gint _months_size_ = 0;
#line 54 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 55 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	_tmp0_ = month;
#line 55 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	if (_tmp0_ == NULL) {
#line 56 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
		result = 0;
#line 56 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
		return result;
#line 481 "updater.c"
	}
#line 58 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	_tmp1_ = g_strdup ("Jan");
#line 58 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	_tmp2_ = g_strdup ("Feb");
#line 58 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	_tmp3_ = g_strdup ("Mar");
#line 58 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	_tmp4_ = g_strdup ("Apr");
#line 58 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	_tmp5_ = g_strdup ("May");
#line 58 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	_tmp6_ = g_strdup ("Jun");
#line 58 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	_tmp7_ = g_strdup ("Jul");
#line 58 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	_tmp8_ = g_strdup ("Aug");
#line 58 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	_tmp9_ = g_strdup ("Sep");
#line 58 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	_tmp10_ = g_strdup ("Oct");
#line 58 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	_tmp11_ = g_strdup ("Nov");
#line 58 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	_tmp12_ = g_strdup ("Dec");
#line 58 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	_tmp13_ = g_new0 (gchar*, 12 + 1);
#line 58 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	_tmp13_[0] = _tmp1_;
#line 58 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	_tmp13_[1] = _tmp2_;
#line 58 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	_tmp13_[2] = _tmp3_;
#line 58 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	_tmp13_[3] = _tmp4_;
#line 58 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	_tmp13_[4] = _tmp5_;
#line 58 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	_tmp13_[5] = _tmp6_;
#line 58 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	_tmp13_[6] = _tmp7_;
#line 58 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	_tmp13_[7] = _tmp8_;
#line 58 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	_tmp13_[8] = _tmp9_;
#line 58 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	_tmp13_[9] = _tmp10_;
#line 58 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	_tmp13_[10] = _tmp11_;
#line 58 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	_tmp13_[11] = _tmp12_;
#line 58 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	months = _tmp13_;
#line 58 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	months_length1 = 12;
#line 58 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	_months_size_ = months_length1;
#line 539 "updater.c"
	{
		gint i = 0;
#line 59 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
		i = 0;
#line 544 "updater.c"
		{
			gboolean _tmp14_ = FALSE;
#line 59 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
			_tmp14_ = TRUE;
#line 59 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
			while (TRUE) {
#line 551 "updater.c"
				gint _tmp16_ = 0;
				gchar** _tmp17_ = NULL;
				gint _tmp17__length1 = 0;
				const gchar* _tmp18_ = NULL;
				gchar** _tmp19_ = NULL;
				gint _tmp19__length1 = 0;
				gint _tmp20_ = 0;
				const gchar* _tmp21_ = NULL;
				gboolean _tmp22_ = FALSE;
#line 59 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				if (!_tmp14_) {
#line 563 "updater.c"
					gint _tmp15_ = 0;
#line 59 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
					_tmp15_ = i;
#line 59 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
					i = _tmp15_ + 1;
#line 569 "updater.c"
				}
#line 59 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				_tmp14_ = FALSE;
#line 59 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				_tmp16_ = i;
#line 59 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				_tmp17_ = months;
#line 59 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				_tmp17__length1 = months_length1;
#line 59 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				if (!(_tmp16_ <= _tmp17__length1)) {
#line 59 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
					break;
#line 583 "updater.c"
				}
#line 61 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				_tmp18_ = month;
#line 61 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				_tmp19_ = months;
#line 61 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				_tmp19__length1 = months_length1;
#line 61 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				_tmp20_ = i;
#line 61 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				_tmp21_ = _tmp19_[_tmp20_];
#line 61 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				_tmp22_ = g_str_has_prefix (_tmp18_, _tmp21_);
#line 61 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				if (_tmp22_) {
#line 599 "updater.c"
					gint _tmp23_ = 0;
#line 62 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
					_tmp23_ = i;
#line 62 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
					result = _tmp23_ + 1;
#line 62 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
					months = (_vala_array_free (months, months_length1, (GDestroyNotify) g_free), NULL);
#line 62 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
					return result;
#line 609 "updater.c"
				}
			}
		}
	}
#line 64 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	result = 0;
#line 64 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	months = (_vala_array_free (months, months_length1, (GDestroyNotify) g_free), NULL);
#line 64 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	return result;
#line 620 "updater.c"
}


static gboolean string_contains (const gchar* self, const gchar* needle) {
	gboolean result = FALSE;
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
#line 1278 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/sysroots/qemux86/usr/share/vala-0.28/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, FALSE);
#line 1278 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/sysroots/qemux86/usr/share/vala-0.28/vapi/glib-2.0.vapi"
	g_return_val_if_fail (needle != NULL, FALSE);
#line 1279 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/sysroots/qemux86/usr/share/vala-0.28/vapi/glib-2.0.vapi"
	_tmp0_ = needle;
#line 1279 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/sysroots/qemux86/usr/share/vala-0.28/vapi/glib-2.0.vapi"
	_tmp1_ = strstr ((gchar*) self, (gchar*) _tmp0_);
#line 1279 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/sysroots/qemux86/usr/share/vala-0.28/vapi/glib-2.0.vapi"
	result = _tmp1_ != NULL;
#line 1279 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/sysroots/qemux86/usr/share/vala-0.28/vapi/glib-2.0.vapi"
	return result;
#line 640 "updater.c"
}


static void adblock_updater_process_dates (AdblockUpdater* self, GFile* file) {
	GDateTime* now = NULL;
	GDateTime* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	const gchar* _tmp105_ = NULL;
	GDateTime* _tmp132_ = NULL;
	GDateTime* _tmp133_ = NULL;
	gint _tmp134_ = 0;
#line 67 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	g_return_if_fail (self != NULL);
#line 67 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	g_return_if_fail (file != NULL);
#line 68 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	_tmp0_ = g_date_time_new_now_local ();
#line 68 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	now = _tmp0_;
#line 69 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	adblock_updater_set_last_updated (self, NULL);
#line 70 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	adblock_updater_set_expires (self, NULL);
#line 73 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	_tmp1_ = self->priv->last_mod_meta;
#line 73 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	if (_tmp1_ != NULL) {
#line 668 "updater.c"
		gint h = 0;
		gint min = 0;
		gint d = 0;
		gint m = 0;
		gint y = 0;
		gboolean _tmp2_ = FALSE;
		const gchar* _tmp3_ = NULL;
		gboolean _tmp4_ = FALSE;
		gint _tmp97_ = 0;
		gint _tmp98_ = 0;
		gint _tmp99_ = 0;
		gint _tmp100_ = 0;
		gint _tmp101_ = 0;
		GDateTime* _tmp102_ = NULL;
		GDateTime* _tmp103_ = NULL;
#line 74 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
		h = 0;
#line 74 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
		min = 0;
#line 76 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
		_tmp3_ = self->priv->last_mod_meta;
#line 76 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
		_tmp4_ = string_contains (_tmp3_, ".");
#line 76 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
		if (_tmp4_) {
#line 76 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
			_tmp2_ = TRUE;
#line 696 "updater.c"
		} else {
			const gchar* _tmp5_ = NULL;
			gboolean _tmp6_ = FALSE;
#line 76 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
			_tmp5_ = self->priv->last_mod_meta;
#line 76 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
			_tmp6_ = string_contains (_tmp5_, "-");
#line 76 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
			_tmp2_ = _tmp6_;
#line 706 "updater.c"
		}
#line 76 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
		if (_tmp2_) {
#line 710 "updater.c"
			gchar** parts = NULL;
			const gchar* _tmp7_ = NULL;
			gchar** _tmp8_ = NULL;
			gchar** _tmp9_ = NULL;
			gint parts_length1 = 0;
			gint _parts_size_ = 0;
			gchar** date_parts = NULL;
			gint date_parts_length1 = 0;
			gint _date_parts_size_ = 0;
			gchar* split_char = NULL;
			gchar* _tmp10_ = NULL;
			gboolean _tmp11_ = FALSE;
			gchar** _tmp12_ = NULL;
			gint _tmp12__length1 = 0;
			const gchar* _tmp13_ = NULL;
			gchar** _tmp27_ = NULL;
			gint _tmp27__length1 = 0;
			const gchar* _tmp28_ = NULL;
			gboolean _tmp29_ = FALSE;
			gchar** _tmp35_ = NULL;
			gint _tmp35__length1 = 0;
			const gchar* _tmp36_ = NULL;
			const gchar* _tmp37_ = NULL;
			gchar** _tmp38_ = NULL;
			gchar** _tmp39_ = NULL;
			gchar** _tmp40_ = NULL;
			gint _tmp40__length1 = 0;
			const gchar* _tmp41_ = NULL;
			gint _tmp42_ = 0;
			gchar** _tmp43_ = NULL;
			gint _tmp43__length1 = 0;
			const gchar* _tmp44_ = NULL;
			gint _tmp45_ = 0;
			gint _tmp46_ = 0;
#line 77 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
			_tmp7_ = self->priv->last_mod_meta;
#line 77 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
			_tmp9_ = _tmp8_ = g_strsplit (_tmp7_, " ", 2);
#line 77 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
			parts = _tmp9_;
#line 77 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
			parts_length1 = _vala_array_length (_tmp8_);
#line 77 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
			_parts_size_ = parts_length1;
#line 79 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
			_tmp10_ = g_strdup (" ");
#line 79 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
			split_char = _tmp10_;
#line 82 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
			_tmp12_ = parts;
#line 82 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
			_tmp12__length1 = parts_length1;
#line 82 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
			_tmp13_ = _tmp12_[1];
#line 82 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
			if (g_strcmp0 (_tmp13_, "") != 0) {
#line 767 "updater.c"
				gchar** _tmp14_ = NULL;
				gint _tmp14__length1 = 0;
				const gchar* _tmp15_ = NULL;
				gboolean _tmp16_ = FALSE;
#line 82 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				_tmp14_ = parts;
#line 82 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				_tmp14__length1 = parts_length1;
#line 82 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				_tmp15_ = _tmp14_[1];
#line 82 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				_tmp16_ = string_contains (_tmp15_, ":");
#line 82 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				_tmp11_ = _tmp16_;
#line 782 "updater.c"
			} else {
#line 82 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				_tmp11_ = FALSE;
#line 786 "updater.c"
			}
#line 82 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
			if (_tmp11_) {
#line 790 "updater.c"
				gchar** time_parts = NULL;
				gchar** _tmp17_ = NULL;
				gint _tmp17__length1 = 0;
				const gchar* _tmp18_ = NULL;
				gchar** _tmp19_ = NULL;
				gchar** _tmp20_ = NULL;
				gint time_parts_length1 = 0;
				gint _time_parts_size_ = 0;
				gchar** _tmp21_ = NULL;
				gint _tmp21__length1 = 0;
				const gchar* _tmp22_ = NULL;
				gint _tmp23_ = 0;
				gchar** _tmp24_ = NULL;
				gint _tmp24__length1 = 0;
				const gchar* _tmp25_ = NULL;
				gint _tmp26_ = 0;
#line 83 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				_tmp17_ = parts;
#line 83 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				_tmp17__length1 = parts_length1;
#line 83 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				_tmp18_ = _tmp17_[1];
#line 83 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				_tmp20_ = _tmp19_ = g_strsplit (_tmp18_, ":", 2);
#line 83 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				time_parts = _tmp20_;
#line 83 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				time_parts_length1 = _vala_array_length (_tmp19_);
#line 83 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				_time_parts_size_ = time_parts_length1;
#line 84 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				_tmp21_ = time_parts;
#line 84 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				_tmp21__length1 = time_parts_length1;
#line 84 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				_tmp22_ = _tmp21_[0];
#line 84 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				_tmp23_ = atoi (_tmp22_);
#line 84 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				h = _tmp23_;
#line 85 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				_tmp24_ = time_parts;
#line 85 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				_tmp24__length1 = time_parts_length1;
#line 85 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				_tmp25_ = _tmp24_[1];
#line 85 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				_tmp26_ = atoi (_tmp25_);
#line 85 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				min = _tmp26_;
#line 82 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				time_parts = (_vala_array_free (time_parts, time_parts_length1, (GDestroyNotify) g_free), NULL);
#line 843 "updater.c"
			}
#line 89 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
			_tmp27_ = parts;
#line 89 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
			_tmp27__length1 = parts_length1;
#line 89 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
			_tmp28_ = _tmp27_[0];
#line 89 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
			_tmp29_ = string_contains (_tmp28_, ".");
#line 89 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
			if (_tmp29_) {
#line 855 "updater.c"
				gchar* _tmp30_ = NULL;
#line 90 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				_tmp30_ = g_strdup (".");
#line 90 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				_g_free0 (split_char);
#line 90 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				split_char = _tmp30_;
#line 863 "updater.c"
			} else {
				gchar** _tmp31_ = NULL;
				gint _tmp31__length1 = 0;
				const gchar* _tmp32_ = NULL;
				gboolean _tmp33_ = FALSE;
#line 91 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				_tmp31_ = parts;
#line 91 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				_tmp31__length1 = parts_length1;
#line 91 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				_tmp32_ = _tmp31_[0];
#line 91 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				_tmp33_ = string_contains (_tmp32_, "-");
#line 91 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				if (_tmp33_) {
#line 879 "updater.c"
					gchar* _tmp34_ = NULL;
#line 92 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
					_tmp34_ = g_strdup ("-");
#line 92 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
					_g_free0 (split_char);
#line 92 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
					split_char = _tmp34_;
#line 887 "updater.c"
				}
			}
#line 94 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
			_tmp35_ = parts;
#line 94 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
			_tmp35__length1 = parts_length1;
#line 94 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
			_tmp36_ = _tmp35_[0];
#line 94 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
			_tmp37_ = split_char;
#line 94 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
			_tmp39_ = _tmp38_ = g_strsplit (_tmp36_, _tmp37_, 3);
#line 94 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
			date_parts = (_vala_array_free (date_parts, date_parts_length1, (GDestroyNotify) g_free), NULL);
#line 94 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
			date_parts = _tmp39_;
#line 94 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
			date_parts_length1 = _vala_array_length (_tmp38_);
#line 94 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
			_date_parts_size_ = date_parts_length1;
#line 95 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
			_tmp40_ = date_parts;
#line 95 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
			_tmp40__length1 = date_parts_length1;
#line 95 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
			_tmp41_ = _tmp40_[1];
#line 95 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
			_tmp42_ = atoi (_tmp41_);
#line 95 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
			m = _tmp42_;
#line 96 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
			_tmp43_ = date_parts;
#line 96 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
			_tmp43__length1 = date_parts_length1;
#line 96 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
			_tmp44_ = _tmp43_[2];
#line 96 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
			_tmp45_ = strlen (_tmp44_);
#line 96 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
			_tmp46_ = _tmp45_;
#line 96 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
			if (_tmp46_ == 4) {
#line 930 "updater.c"
				gchar** _tmp47_ = NULL;
				gint _tmp47__length1 = 0;
				const gchar* _tmp48_ = NULL;
				gint _tmp49_ = 0;
				gchar** _tmp50_ = NULL;
				gint _tmp50__length1 = 0;
				const gchar* _tmp51_ = NULL;
				gint _tmp52_ = 0;
#line 97 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				_tmp47_ = date_parts;
#line 97 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				_tmp47__length1 = date_parts_length1;
#line 97 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				_tmp48_ = _tmp47_[2];
#line 97 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				_tmp49_ = atoi (_tmp48_);
#line 97 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				y = _tmp49_;
#line 98 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				_tmp50_ = date_parts;
#line 98 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				_tmp50__length1 = date_parts_length1;
#line 98 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				_tmp51_ = _tmp50_[0];
#line 98 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				_tmp52_ = atoi (_tmp51_);
#line 98 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				d = _tmp52_;
#line 959 "updater.c"
			} else {
				gchar** _tmp53_ = NULL;
				gint _tmp53__length1 = 0;
				const gchar* _tmp54_ = NULL;
				gint _tmp55_ = 0;
				gchar** _tmp56_ = NULL;
				gint _tmp56__length1 = 0;
				const gchar* _tmp57_ = NULL;
				gint _tmp58_ = 0;
#line 100 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				_tmp53_ = date_parts;
#line 100 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				_tmp53__length1 = date_parts_length1;
#line 100 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				_tmp54_ = _tmp53_[0];
#line 100 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				_tmp55_ = atoi (_tmp54_);
#line 100 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				y = _tmp55_;
#line 101 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				_tmp56_ = date_parts;
#line 101 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				_tmp56__length1 = date_parts_length1;
#line 101 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				_tmp57_ = _tmp56_[2];
#line 101 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				_tmp58_ = atoi (_tmp57_);
#line 101 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				d = _tmp58_;
#line 989 "updater.c"
			}
#line 76 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
			_g_free0 (split_char);
#line 76 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
			date_parts = (_vala_array_free (date_parts, date_parts_length1, (GDestroyNotify) g_free), NULL);
#line 76 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
			parts = (_vala_array_free (parts, parts_length1, (GDestroyNotify) g_free), NULL);
#line 997 "updater.c"
		} else {
			gchar** parts = NULL;
			const gchar* _tmp59_ = NULL;
			gchar** _tmp60_ = NULL;
			gchar** _tmp61_ = NULL;
			gint parts_length1 = 0;
			gint _parts_size_ = 0;
			gboolean _tmp62_ = FALSE;
			gchar** _tmp63_ = NULL;
			gint _tmp63__length1 = 0;
			const gchar* _tmp64_ = NULL;
			gchar** _tmp78_ = NULL;
			gint _tmp78__length1 = 0;
			const gchar* _tmp79_ = NULL;
			gint _tmp80_ = 0;
			gchar** _tmp81_ = NULL;
			gint _tmp81__length1 = 0;
			const gchar* _tmp82_ = NULL;
			gint _tmp83_ = 0;
			gint _tmp84_ = 0;
#line 104 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
			_tmp59_ = self->priv->last_mod_meta;
#line 104 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
			_tmp61_ = _tmp60_ = g_strsplit (_tmp59_, " ", 4);
#line 104 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
			parts = _tmp61_;
#line 104 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
			parts_length1 = _vala_array_length (_tmp60_);
#line 104 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
			_parts_size_ = parts_length1;
#line 106 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
			_tmp63_ = parts;
#line 106 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
			_tmp63__length1 = parts_length1;
#line 106 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
			_tmp64_ = _tmp63_[3];
#line 106 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
			if (_tmp64_ != NULL) {
#line 1036 "updater.c"
				gchar** _tmp65_ = NULL;
				gint _tmp65__length1 = 0;
				const gchar* _tmp66_ = NULL;
				gboolean _tmp67_ = FALSE;
#line 106 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				_tmp65_ = parts;
#line 106 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				_tmp65__length1 = parts_length1;
#line 106 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				_tmp66_ = _tmp65_[3];
#line 106 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				_tmp67_ = string_contains (_tmp66_, ":");
#line 106 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				_tmp62_ = _tmp67_;
#line 1051 "updater.c"
			} else {
#line 106 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				_tmp62_ = FALSE;
#line 1055 "updater.c"
			}
#line 106 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
			if (_tmp62_) {
#line 1059 "updater.c"
				gchar** time_parts = NULL;
				gchar** _tmp68_ = NULL;
				gint _tmp68__length1 = 0;
				const gchar* _tmp69_ = NULL;
				gchar** _tmp70_ = NULL;
				gchar** _tmp71_ = NULL;
				gint time_parts_length1 = 0;
				gint _time_parts_size_ = 0;
				gchar** _tmp72_ = NULL;
				gint _tmp72__length1 = 0;
				const gchar* _tmp73_ = NULL;
				gint _tmp74_ = 0;
				gchar** _tmp75_ = NULL;
				gint _tmp75__length1 = 0;
				const gchar* _tmp76_ = NULL;
				gint _tmp77_ = 0;
#line 107 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				_tmp68_ = parts;
#line 107 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				_tmp68__length1 = parts_length1;
#line 107 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				_tmp69_ = _tmp68_[3];
#line 107 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				_tmp71_ = _tmp70_ = g_strsplit (_tmp69_, ":", 2);
#line 107 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				time_parts = _tmp71_;
#line 107 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				time_parts_length1 = _vala_array_length (_tmp70_);
#line 107 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				_time_parts_size_ = time_parts_length1;
#line 108 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				_tmp72_ = time_parts;
#line 108 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				_tmp72__length1 = time_parts_length1;
#line 108 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				_tmp73_ = _tmp72_[0];
#line 108 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				_tmp74_ = atoi (_tmp73_);
#line 108 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				h = _tmp74_;
#line 109 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				_tmp75_ = time_parts;
#line 109 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				_tmp75__length1 = time_parts_length1;
#line 109 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				_tmp76_ = _tmp75_[1];
#line 109 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				_tmp77_ = atoi (_tmp76_);
#line 109 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				min = _tmp77_;
#line 106 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				time_parts = (_vala_array_free (time_parts, time_parts_length1, (GDestroyNotify) g_free), NULL);
#line 1112 "updater.c"
			}
#line 112 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
			_tmp78_ = parts;
#line 112 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
			_tmp78__length1 = parts_length1;
#line 112 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
			_tmp79_ = _tmp78_[1];
#line 112 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
			_tmp80_ = adblock_updater_get_month_from_string (self, _tmp79_);
#line 112 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
			m = _tmp80_;
#line 113 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
			_tmp81_ = parts;
#line 113 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
			_tmp81__length1 = parts_length1;
#line 113 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
			_tmp82_ = _tmp81_[2];
#line 113 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
			_tmp83_ = strlen (_tmp82_);
#line 113 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
			_tmp84_ = _tmp83_;
#line 113 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
			if (_tmp84_ == 4) {
#line 1136 "updater.c"
				gchar** _tmp85_ = NULL;
				gint _tmp85__length1 = 0;
				const gchar* _tmp86_ = NULL;
				gint _tmp87_ = 0;
				gchar** _tmp88_ = NULL;
				gint _tmp88__length1 = 0;
				const gchar* _tmp89_ = NULL;
				gint _tmp90_ = 0;
#line 114 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				_tmp85_ = parts;
#line 114 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				_tmp85__length1 = parts_length1;
#line 114 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				_tmp86_ = _tmp85_[2];
#line 114 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				_tmp87_ = atoi (_tmp86_);
#line 114 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				y = _tmp87_;
#line 115 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				_tmp88_ = parts;
#line 115 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				_tmp88__length1 = parts_length1;
#line 115 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				_tmp89_ = _tmp88_[0];
#line 115 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				_tmp90_ = atoi (_tmp89_);
#line 115 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				d = _tmp90_;
#line 1165 "updater.c"
			} else {
				gchar** _tmp91_ = NULL;
				gint _tmp91__length1 = 0;
				const gchar* _tmp92_ = NULL;
				gint _tmp93_ = 0;
				gchar** _tmp94_ = NULL;
				gint _tmp94__length1 = 0;
				const gchar* _tmp95_ = NULL;
				gint _tmp96_ = 0;
#line 117 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				_tmp91_ = parts;
#line 117 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				_tmp91__length1 = parts_length1;
#line 117 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				_tmp92_ = _tmp91_[0];
#line 117 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				_tmp93_ = atoi (_tmp92_);
#line 117 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				y = _tmp93_;
#line 118 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				_tmp94_ = parts;
#line 118 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				_tmp94__length1 = parts_length1;
#line 118 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				_tmp95_ = _tmp94_[2];
#line 118 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				_tmp96_ = atoi (_tmp95_);
#line 118 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				d = _tmp96_;
#line 1195 "updater.c"
			}
#line 76 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
			parts = (_vala_array_free (parts, parts_length1, (GDestroyNotify) g_free), NULL);
#line 1199 "updater.c"
		}
#line 122 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
		_tmp97_ = y;
#line 122 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
		_tmp98_ = m;
#line 122 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
		_tmp99_ = d;
#line 122 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
		_tmp100_ = h;
#line 122 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
		_tmp101_ = min;
#line 122 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
		_tmp102_ = g_date_time_new_local (_tmp97_, _tmp98_, _tmp99_, _tmp100_, _tmp101_, 0.0);
#line 122 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
		_tmp103_ = _tmp102_;
#line 122 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
		adblock_updater_set_last_updated (self, _tmp103_);
#line 122 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
		_g_date_time_unref0 (_tmp103_);
#line 1219 "updater.c"
	} else {
		GDateTime* _tmp104_ = NULL;
#line 133 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
		_tmp104_ = now;
#line 133 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
		adblock_updater_set_last_updated (self, _tmp104_);
#line 1226 "updater.c"
	}
#line 137 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	_tmp105_ = self->priv->expires_meta;
#line 137 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	if (_tmp105_ != NULL) {
#line 1232 "updater.c"
		const gchar* _tmp106_ = NULL;
		gboolean _tmp107_ = FALSE;
#line 138 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
		_tmp106_ = self->priv->expires_meta;
#line 138 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
		_tmp107_ = string_contains (_tmp106_, "days");
#line 138 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
		if (_tmp107_) {
#line 1241 "updater.c"
			gchar** parts = NULL;
			const gchar* _tmp108_ = NULL;
			gchar** _tmp109_ = NULL;
			gchar** _tmp110_ = NULL;
			gint parts_length1 = 0;
			gint _parts_size_ = 0;
			GDateTime* _tmp111_ = NULL;
			gchar** _tmp112_ = NULL;
			gint _tmp112__length1 = 0;
			const gchar* _tmp113_ = NULL;
			gint _tmp114_ = 0;
			GDateTime* _tmp115_ = NULL;
			GDateTime* _tmp116_ = NULL;
#line 139 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
			_tmp108_ = self->priv->expires_meta;
#line 139 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
			_tmp110_ = _tmp109_ = g_strsplit (_tmp108_, " ", 0);
#line 139 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
			parts = _tmp110_;
#line 139 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
			parts_length1 = _vala_array_length (_tmp109_);
#line 139 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
			_parts_size_ = parts_length1;
#line 140 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
			_tmp111_ = self->priv->_last_updated;
#line 140 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
			_tmp112_ = parts;
#line 140 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
			_tmp112__length1 = parts_length1;
#line 140 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
			_tmp113_ = _tmp112_[0];
#line 140 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
			_tmp114_ = atoi (_tmp113_);
#line 140 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
			_tmp115_ = g_date_time_add_days (_tmp111_, _tmp114_);
#line 140 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
			_tmp116_ = _tmp115_;
#line 140 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
			adblock_updater_set_expires (self, _tmp116_);
#line 140 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
			_g_date_time_unref0 (_tmp116_);
#line 138 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
			parts = (_vala_array_free (parts, parts_length1, (GDestroyNotify) g_free), NULL);
#line 1285 "updater.c"
		} else {
			const gchar* _tmp117_ = NULL;
			gboolean _tmp118_ = FALSE;
#line 141 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
			_tmp117_ = self->priv->expires_meta;
#line 141 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
			_tmp118_ = string_contains (_tmp117_, "hours");
#line 141 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
			if (_tmp118_) {
#line 1295 "updater.c"
				gchar** parts = NULL;
				const gchar* _tmp119_ = NULL;
				gchar** _tmp120_ = NULL;
				gchar** _tmp121_ = NULL;
				gint parts_length1 = 0;
				gint _parts_size_ = 0;
				GDateTime* _tmp122_ = NULL;
				gchar** _tmp123_ = NULL;
				gint _tmp123__length1 = 0;
				const gchar* _tmp124_ = NULL;
				gint _tmp125_ = 0;
				GDateTime* _tmp126_ = NULL;
				GDateTime* _tmp127_ = NULL;
#line 142 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				_tmp119_ = self->priv->expires_meta;
#line 142 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				_tmp121_ = _tmp120_ = g_strsplit (_tmp119_, " ", 0);
#line 142 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				parts = _tmp121_;
#line 142 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				parts_length1 = _vala_array_length (_tmp120_);
#line 142 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				_parts_size_ = parts_length1;
#line 143 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				_tmp122_ = self->priv->_last_updated;
#line 143 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				_tmp123_ = parts;
#line 143 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				_tmp123__length1 = parts_length1;
#line 143 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				_tmp124_ = _tmp123_[0];
#line 143 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				_tmp125_ = atoi (_tmp124_);
#line 143 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				_tmp126_ = g_date_time_add_hours (_tmp122_, _tmp125_);
#line 143 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				_tmp127_ = _tmp126_;
#line 143 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				adblock_updater_set_expires (self, _tmp127_);
#line 143 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				_g_date_time_unref0 (_tmp127_);
#line 141 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
				parts = (_vala_array_free (parts, parts_length1, (GDestroyNotify) g_free), NULL);
#line 1339 "updater.c"
			}
		}
	} else {
		gint days_to_expire = 0;
		GDateTime* _tmp128_ = NULL;
		gint _tmp129_ = 0;
		GDateTime* _tmp130_ = NULL;
		GDateTime* _tmp131_ = NULL;
#line 147 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
		days_to_expire = 7;
#line 148 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
		_tmp128_ = self->priv->_last_updated;
#line 148 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
		_tmp129_ = days_to_expire;
#line 148 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
		_tmp130_ = g_date_time_add_days (_tmp128_, _tmp129_);
#line 148 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
		_tmp131_ = _tmp130_;
#line 148 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
		adblock_updater_set_expires (self, _tmp131_);
#line 148 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
		_g_date_time_unref0 (_tmp131_);
#line 1362 "updater.c"
	}
#line 152 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	_tmp132_ = now;
#line 152 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	_tmp133_ = self->priv->_expires;
#line 152 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	_tmp134_ = g_date_time_compare (_tmp132_, _tmp133_);
#line 152 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	adblock_updater_set_needs_update (self, _tmp134_ == 1);
#line 67 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	_g_date_time_unref0 (now);
#line 1374 "updater.c"
}


GDateTime* adblock_updater_get_last_updated (AdblockUpdater* self) {
	GDateTime* result;
	GDateTime* _tmp0_ = NULL;
#line 17 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 17 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	_tmp0_ = self->priv->_last_updated;
#line 17 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	result = _tmp0_;
#line 17 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	return result;
#line 1389 "updater.c"
}


static gpointer _g_date_time_ref0 (gpointer self) {
#line 17 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	return self ? g_date_time_ref (self) : NULL;
#line 1396 "updater.c"
}


void adblock_updater_set_last_updated (AdblockUpdater* self, GDateTime* value) {
	GDateTime* _tmp0_ = NULL;
	GDateTime* _tmp1_ = NULL;
#line 17 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	g_return_if_fail (self != NULL);
#line 17 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	_tmp0_ = value;
#line 17 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	_tmp1_ = _g_date_time_ref0 (_tmp0_);
#line 17 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	_g_date_time_unref0 (self->priv->_last_updated);
#line 17 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	self->priv->_last_updated = _tmp1_;
#line 17 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	g_object_notify ((GObject *) self, "last-updated");
#line 1415 "updater.c"
}


GDateTime* adblock_updater_get_expires (AdblockUpdater* self) {
	GDateTime* result;
	GDateTime* _tmp0_ = NULL;
#line 18 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 18 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	_tmp0_ = self->priv->_expires;
#line 18 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	result = _tmp0_;
#line 18 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	return result;
#line 1430 "updater.c"
}


void adblock_updater_set_expires (AdblockUpdater* self, GDateTime* value) {
	GDateTime* _tmp0_ = NULL;
	GDateTime* _tmp1_ = NULL;
#line 18 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	g_return_if_fail (self != NULL);
#line 18 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	_tmp0_ = value;
#line 18 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	_tmp1_ = _g_date_time_ref0 (_tmp0_);
#line 18 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	_g_date_time_unref0 (self->priv->_expires);
#line 18 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	self->priv->_expires = _tmp1_;
#line 18 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	g_object_notify ((GObject *) self, "expires");
#line 1449 "updater.c"
}


gboolean adblock_updater_get_needs_update (AdblockUpdater* self) {
	gboolean result;
	gboolean _tmp0_ = FALSE;
#line 19 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 19 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	_tmp0_ = self->priv->_needs_update;
#line 19 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	result = _tmp0_;
#line 19 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	return result;
#line 1464 "updater.c"
}


void adblock_updater_set_needs_update (AdblockUpdater* self, gboolean value) {
	gboolean _tmp0_ = FALSE;
#line 19 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	g_return_if_fail (self != NULL);
#line 19 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	_tmp0_ = value;
#line 19 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	self->priv->_needs_update = _tmp0_;
#line 19 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	g_object_notify ((GObject *) self, "needs-update");
#line 1478 "updater.c"
}


static void adblock_updater_class_init (AdblockUpdaterClass * klass) {
#line 14 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	adblock_updater_parent_class = g_type_class_peek_parent (klass);
#line 14 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	g_type_class_add_private (klass, sizeof (AdblockUpdaterPrivate));
#line 14 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	((AdblockFeatureClass *) klass)->clear = adblock_updater_real_clear;
#line 14 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	((AdblockFeatureClass *) klass)->header = adblock_updater_real_header;
#line 14 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	((AdblockFeatureClass *) klass)->parsed = adblock_updater_real_parsed;
#line 14 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	G_OBJECT_CLASS (klass)->get_property = _vala_adblock_updater_get_property;
#line 14 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	G_OBJECT_CLASS (klass)->set_property = _vala_adblock_updater_set_property;
#line 14 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	G_OBJECT_CLASS (klass)->finalize = adblock_updater_finalize;
#line 14 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), ADBLOCK_UPDATER_LAST_UPDATED, g_param_spec_boxed ("last-updated", "last-updated", "last-updated", G_TYPE_DATE_TIME, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 14 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), ADBLOCK_UPDATER_EXPIRES, g_param_spec_boxed ("expires", "expires", "expires", G_TYPE_DATE_TIME, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 14 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), ADBLOCK_UPDATER_NEEDS_UPDATE, g_param_spec_boolean ("needs-update", "needs-update", "needs-update", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 1505 "updater.c"
}


static void adblock_updater_instance_init (AdblockUpdater * self) {
#line 14 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	self->priv = ADBLOCK_UPDATER_GET_PRIVATE (self);
#line 1512 "updater.c"
}


static void adblock_updater_finalize (GObject* obj) {
	AdblockUpdater * self;
#line 14 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, ADBLOCK_TYPE_UPDATER, AdblockUpdater);
#line 15 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	_g_free0 (self->priv->expires_meta);
#line 16 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	_g_free0 (self->priv->last_mod_meta);
#line 17 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	_g_date_time_unref0 (self->priv->_last_updated);
#line 18 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	_g_date_time_unref0 (self->priv->_expires);
#line 14 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	G_OBJECT_CLASS (adblock_updater_parent_class)->finalize (obj);
#line 1530 "updater.c"
}


GType adblock_updater_get_type (void) {
	static volatile gsize adblock_updater_type_id__volatile = 0;
	if (g_once_init_enter (&adblock_updater_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (AdblockUpdaterClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) adblock_updater_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (AdblockUpdater), 0, (GInstanceInitFunc) adblock_updater_instance_init, NULL };
		GType adblock_updater_type_id;
		adblock_updater_type_id = g_type_register_static (ADBLOCK_TYPE_FEATURE, "AdblockUpdater", &g_define_type_info, 0);
		g_once_init_leave (&adblock_updater_type_id__volatile, adblock_updater_type_id);
	}
	return adblock_updater_type_id__volatile;
}


static void _vala_adblock_updater_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec) {
	AdblockUpdater * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, ADBLOCK_TYPE_UPDATER, AdblockUpdater);
#line 14 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	switch (property_id) {
#line 14 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
		case ADBLOCK_UPDATER_LAST_UPDATED:
#line 14 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
		g_value_set_boxed (value, adblock_updater_get_last_updated (self));
#line 14 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
		break;
#line 14 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
		case ADBLOCK_UPDATER_EXPIRES:
#line 14 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
		g_value_set_boxed (value, adblock_updater_get_expires (self));
#line 14 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
		break;
#line 14 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
		case ADBLOCK_UPDATER_NEEDS_UPDATE:
#line 14 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
		g_value_set_boolean (value, adblock_updater_get_needs_update (self));
#line 14 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
		break;
#line 1569 "updater.c"
		default:
#line 14 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 14 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
		break;
#line 1575 "updater.c"
	}
}


static void _vala_adblock_updater_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec) {
	AdblockUpdater * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, ADBLOCK_TYPE_UPDATER, AdblockUpdater);
#line 14 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
	switch (property_id) {
#line 14 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
		case ADBLOCK_UPDATER_LAST_UPDATED:
#line 14 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
		adblock_updater_set_last_updated (self, g_value_get_boxed (value));
#line 14 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
		break;
#line 14 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
		case ADBLOCK_UPDATER_EXPIRES:
#line 14 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
		adblock_updater_set_expires (self, g_value_get_boxed (value));
#line 14 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
		break;
#line 14 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
		case ADBLOCK_UPDATER_NEEDS_UPDATE:
#line 14 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
		adblock_updater_set_needs_update (self, g_value_get_boolean (value));
#line 14 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
		break;
#line 1603 "updater.c"
		default:
#line 14 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 14 "/home/pokybuild/yocto-autobuilder/yocto-worker/nightly-world/build/build/tmp/work/i586-poky-linux/midori/0.5.8-r0/midori-0.5.8/extensions/adblock/updater.vala"
		break;
#line 1609 "updater.c"
	}
}


static void _vala_array_destroy (gpointer array, gint array_length, GDestroyNotify destroy_func) {
	if ((array != NULL) && (destroy_func != NULL)) {
		int i;
		for (i = 0; i < array_length; i = i + 1) {
			if (((gpointer*) array)[i] != NULL) {
				destroy_func (((gpointer*) array)[i]);
			}
		}
	}
}


static void _vala_array_free (gpointer array, gint array_length, GDestroyNotify destroy_func) {
	_vala_array_destroy (array, array_length, destroy_func);
	g_free (array);
}


static gint _vala_array_length (gpointer array) {
	int length;
	length = 0;
	if (array) {
		while (((gpointer*) array)[length]) {
			length++;
		}
	}
	return length;
}



